.c-button {
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	width: fit-content;
	padding: 16px 40px;
	background-color: var(--color-accent);
	border: solid 2px var(--color-accent);
	border-radius: 30px;
	font-weight: 700;
	line-height: 1;
	color: #fff;
	transition: color 0.3s;
}

.c-button::before {
	content: '';
	position: absolute;
	inset: 0 auto auto 0;
	width: 100%;
	height: 100%;
	background-color: #fff;
	border-radius: 30px;
	opacity: 0;
	transform: scale(0.1);
	transition: all 0.3s;
	z-index: 0;
}

.c-button-text {
	z-index: 1;
}

.c-button-icon {
	display: flex;
	align-items: center;
	width: 16px;
	margin-top: 2px;
	padding: 2px;
	background-color: #fff;
	border-radius: 50%;
	aspect-ratio: 1/1;
	z-index: 1;
}

.c-button-icon img {
	display: block;
	width: 100%;
	height: auto;
	transition: all 0.3s;
}

.c-button-icon img.c-button-icon-on {
	display: none;
}

@media (any-hover: hover) {
	.c-button:hover {
		color: var(--color-accent);
		text-decoration: none;
	}

	.c-button:hover::before {
		opacity: 1;
		transform: scale(1);
	}

	.c-button:hover .c-button-icon {
		background-color: var(--color-accent);
	}

	.c-button:hover .c-button-icon img.c-button-icon-off {
		display: none;
	}

	.c-button:hover .c-button-icon img.c-button-icon-on {
		display: block;
	}
}